Kerbal Space Program - Bug #24415

Planetary Encounters Not Showing
11/23/2019 06:26 AM - MistyShadows

Status: Confirmed Start date: 11/23/2019
Severity: Low % Done: 10%
Assignee:

Category: Map and Planetarium

Target version:

Version: 1.8.1 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

Planetary or moon encounters aren't showing if the game thinks there is a different close encounter sooner.

| discovered this bug during a recent trip to Gilly.l was following a few online guides showing how to get an easy encounter with Gilly,
notably Matt Lowne's guides. | had planned to capture at Eve in a highly elliptical orbit, then raise my periapsis so it intersected with
Gilly's orbit, then at periapsis burn retrograde a bit so that I'd get an encounter. This "easy" encounter refused to show and | spent
quite awhile trying to figure out what seemed to be an easy idea, until | by happenstance added another maneuver node past the
"close encounter" which then showed my intended close encounter. | also experienced this when returning to Kerbin. This problem is
also not just inherent to the maneuver nodes, but also to the actual trajectory, and | didn't see my Gilly encounter appear until a third
of my way through my orbit.

My game this happened in originally is modded, so | used my other computer to install a clean version of KSP and the identical thing
happened. I'm going to link to a video showing the bug, this video will be using my modded install, but note that the bug appears to
be in stock KSP too.

Workaround: Add another maneuver node past the first encounter that the game shows.
Despite this workaround showing the encounter, it is difficult to tell if an encounter has actually been achieved, and makes fine-tuning
it difficult.

Bug in action: https://www.youtube.com/watch?v=st-rQg1L2-g

History

#1 - 11/23/2019 08:57 AM - Anth12

| have experienced a similar issue, however the issue seems intermittent.
Any way you can supply a quicksave and ksp.log? (thats in the main ksp folder)

#2 - 11/23/2019 11:30 PM - Kirk

Also, what is your conic patch limit setting?

#3 - 11/24/2019 12:05 AM - MistyShadows
- File KSP.log added
- File quicksave #38.sfs added
Anth12 wrote:
| have experienced a similar issue, however the issue seems intermittent.

Any way you can supply a quicksave and ksp.log? (thats in the main ksp folder)

Sure! | hope this is everything you need. The issue seems very reliable for me, at least regarding this particular encounter. Can't speak so much for
other encounters, though as | said | did encounter it elsewhere.

#4 - 11/24/2019 12:11 AM - MistyShadows

Kirk wrote:

Also, what is your conic patch limit setting?
https://www.youtube.com/watch?v=st-rQg1L2-g

My conic patch limit is 4. | don't think this is the problem, because as shown in my video, when | get an actual encounter with Gilly it doesn't show until
halfway through my orbit.

#5 - 11/24/2019 02:55 AM - Anth12

| kind of see what you are saying, but its hard to explain it.

The log file was correct, and showed that your bug is different to the one | am investigating.

#6 - 02/24/2020 02:30 PM - boolybooly
- File quicksave (2020_02_24_14_21_36).sfs added
- File 20200224142131_1.jpg added

Just want to say | am seeing this kind of problem in 1.9, e.g. trying to leave Mun SOI and intercept Minmus the intercept prediction suddenly gets
ADHD and leaps to predict a miss 2 orbits ahead instead of following the current orbit to intercept, while adjusting the node. Even when | achieve a
defacto intercept, it will not show it unless | place a zero velocity node just before the intercept.

This isnt just a one off, it happens all the time. | made a bug report about this kind of problem several years ago.

I include an f5 quicksave in case anyone is interested and a screenshot showing Minmus in an impossible predicted location, just for fun, to
demonstrate how this is not working as intended. :)

#8 - 03/11/2021 07:07 PM - RafaHdz
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Files

KSP.log 460 KB 11/24/2019 MistyShadows
quicksave #38.sfs 368 KB 11/24/2019 MistyShadows
quicksave (2020_02_24_14_21_36).sfs 266 KB 02/24/2020 boolybooly
20200224142131_1.jpg 327 KB 02/24/2020 boolybooly
